Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## quicktime.std.music
Class NoteRequest

    java.lang.Object
      |
      +--quicktime.util.QTByteObject
            |
            +--quicktime.std.music.NoteRequestInfo
                  |
                  +--quicktime.std.music.NoteRequest

All Implemented Interfaces:
  java.lang.Cloneable, quicktime.jdirect.PrimitivesLib, java.io.Serializable, com.apple.jdirect.SharedLibrary, quicktime.jdirect.SharedLibrary

public final class NoteRequest
extends NoteRequestInfo
implements java.lang.Cloneable

Provides all the information required to initialise a NoteChannel. The constructors for a NoteRequest will correclty fill in the the default values for the typicalPolyphony field (1.0) and flags will be set to zero.

See Also:
  Serialized Form

Field Summary
`static int` | `kNativeSize` This is the size (the number of bytes) that are required for this class

Fields inherited from interface quicktime.jdirect.PrimitivesLib
`JDirect_MacOSX, libraryInstance`

Constructor Summary
`NoteRequest()` Creates a NoteRequest instance with the default values.
`NoteRequest(int gmNumber, int poly)` Create a NoteRequest from the given gmNumber instrument and polyphony values.
`NoteRequest(ToneDescription td)` Create a NoteRequest from the given ToneDescription value.
`NoteRequest(ToneDescription td, int poly)` Create a NoteRequest from the given ToneDescription and polyphony values.

Method Summary
`java.lang.Object` | `clone()` Makes a copy of a NoteRequest object.
`ToneDescription` | `getToneDescription()` Returns a copy of the current contained ToneDescription
`void` | `setToneDescription(ToneDescription desc)` Sets the ToneDescription.
`java.lang.String` | `toString()` Returns a string representation of this object

Methods inherited from class quicktime.std.music.NoteRequestInfo
`getFlags, getMIDIChannel, getPolyphony, getTypicalPolyphony, setFlags, setMIDIChannel, setPolyphony, setTypicalPolyphony`

Methods inherited from class quicktime.util.QTByteObject
`equals, fromArray, getBytes, getSize`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### kNativeSize

    public static final int kNativeSize

  This is the size (the number of bytes) that are required for this class

Constructor Detail

### NoteRequest

    public NoteRequest()

  Creates a NoteRequest instance with the default values. Polyphony is set to 1.

### NoteRequest

    public NoteRequest(ToneDescription td)

  Create a NoteRequest from the given ToneDescription value.
  Parameters:
    `td` - a ToneDescription that describes the tone characteristics of the NoteRequest

### NoteRequest

    public NoteRequest(ToneDescription td,
                       int poly)

  Create a NoteRequest from the given ToneDescription and polyphony values.
  Parameters:
    `td` - a ToneDescription that describes the tone characteristics of the NoteRequest.
    `poly` - the most number of simulateous notes maybe played at the same time. This value is a suggestion to the music toolbox that is used to estimate the resources a NoteChannel will be required to utilise.

### NoteRequest

    public NoteRequest(int gmNumber,
                       int poly)
                throws QTException

  Create a NoteRequest from the given gmNumber instrument and polyphony values.
  Parameters:
    `gmNumber` - the general MIDI number of the requested instrument
    `poly` - the most number of simulateous notes maybe played at the same time. This value is a suggestion to the music toolbox that is used to estimate the resources a NoteChannel will be required to utilise.

Method Detail

### setToneDescription

    public void setToneDescription(ToneDescription desc)

  Sets the ToneDescription.

### getToneDescription

    public ToneDescription getToneDescription()

  Returns a copy of the current contained ToneDescription

### toString

    public java.lang.String toString()

  Description copied from class: `QTByteObject`
  Returns a string representation of this object
  Overrides:
    `toString` in class `NoteRequestInfo`

### clone

    public java.lang.Object clone()

  Makes a copy of a NoteRequest object.
  Overrides:
    `clone` in class `NoteRequestInfo`
  Following copied from class: `quicktime.std.music.NoteRequestInfo`
  Returns:
    a NoteRequestInfo

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD